Retrieves recent attachments and files for a Salesforce record(objectId) with pagination, search, and filtering support.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Salesforce record ID

Query Params
boolean
Defaults to false

If true, use sandbox connection

int32 | null

Optional. Page number (1-based). If omitted (and pageSize omitted), returns full dataset.

int32 | null

Optional. Page size. If omitted (and pageNumber omitted), returns full dataset.

string

Optional case-insensitive filter to search attachments by name

string

Optional document type filter based on file extension (e.g., "pdf", ".docx").
The leading dot is optional and comparison is case-insensitive.

boolean
Defaults to true

If true (default), only returns attachments with allowed document extensions (doc, docx, xls, xlsx, ppt, pptx, html, htm, pdf).
If false, returns all attachments regardless of file type (similar to Salesforce Notes & Attachments tab).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json